package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbc;
import com.brilliance.isc.bo.bopdecbo.Dbk;
import com.brilliance.isc.vo.bop.BopdecSelectVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbkMapper {
    int insert(Dbk record);

    int insertSelective(Dbk record);

    int updateByPrimaryKeySelective(Dbk record);

    int updateByPrimaryKey(Dbk record);

    int deleteByPrimaryKey(Dbk record);

    int deleteByIds(Collection<Object> collection);

    Dbk selectByPrimaryKey(Dbk record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbk> dyncRead(Map<String,Object> dyncMap);

    Dbk selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbk selectByTmpref(@Param("tmpref")String tmpref);
}
